For the complete documentation index, see llms.txt. This page is also available as Markdown.

Outbound Webhooks

Outbound webhook configuration for event notifications.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Returns a list of available event types

application/json
_totalnumberRequired
get/outbound-webhooks/events
GET /apis/v2/outbound-webhooks/events HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a list of available event types

{
  "items": [
    {
      "id": "text",
      "type": "user.created",
      "displayName": "User Created"
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
outboundWebhookIdstringRequiredExample: 123e4567-e89b-12d3-a456-426614174000
Responses
200

Returns an OutboundWebhook

application/json
idstringRead-onlyRequired

The ID of the outbound webhook

Example: 123e4567-e89b-12d3-a456-426614174000
displayNamestringRequired

The display name of the outbound webhook

Example: My Webhook
urlstringRequired

The URL of the outbound webhook (HTTPS required in production)

Example: https://webhook.site/updates
statusstring · enumRequired

The status of the outbound webhook

Example: ACTIVEPossible values:
get/outbound-webhooks/{outboundWebhookId}
GET /apis/v2/outbound-webhooks/{outboundWebhookId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns an OutboundWebhook

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "displayName": "My Webhook",
  "url": "https://webhook.site/updates",
  "eventTypes": [
    "event.created",
    "event.updated"
  ],
  "status": "ACTIVE",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
outboundWebhookIdstringRequiredExample: 123e4567-e89b-12d3-a456-426614174000
Responses
200

Returns an OutboundWebhook

application/json
idstringRead-onlyRequired

The ID of the outbound webhook

Example: 123e4567-e89b-12d3-a456-426614174000
displayNamestringRequired

The display name of the outbound webhook

Example: My Webhook
urlstringRequired

The URL of the outbound webhook (HTTPS required in production)

Example: https://webhook.site/updates
statusstring · enumRequired

The status of the outbound webhook

Example: ACTIVEPossible values:
delete/outbound-webhooks/{outboundWebhookId}
DELETE /apis/v2/outbound-webhooks/{outboundWebhookId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "displayName": "My Webhook",
  "url": "https://webhook.site/updates",
  "eventTypes": [
    "event.created",
    "event.updated"
  ],
  "status": "ACTIVE",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
outboundWebhookIdstringRequiredExample: 123e4567-e89b-12d3-a456-426614174000
Body
displayNamestringOptional

The display name of the outbound webhook

Example: My Webhook
urlstringOptional

The URL of the outbound webhook (HTTPS required in production)

Example: https://webhook.site/updates
statusstring · enumOptional

The status of the outbound webhook

Example: ACTIVEPossible values:
Responses
200

Returns an OutboundWebhook

application/json
idstringRead-onlyRequired

The ID of the outbound webhook

Example: 123e4567-e89b-12d3-a456-426614174000
displayNamestringRequired

The display name of the outbound webhook

Example: My Webhook
urlstringRequired

The URL of the outbound webhook (HTTPS required in production)

Example: https://webhook.site/updates
statusstring · enumRequired

The status of the outbound webhook

Example: ACTIVEPossible values:
patch/outbound-webhooks/{outboundWebhookId}
PATCH /apis/v2/outbound-webhooks/{outboundWebhookId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 130

{
  "displayName": "My Webhook",
  "url": "https://webhook.site/updates",
  "eventTypes": [
    "event.created",
    "event.updated"
  ],
  "status": "ACTIVE"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "displayName": "My Webhook",
  "url": "https://webhook.site/updates",
  "eventTypes": [
    "event.created",
    "event.updated"
  ],
  "status": "ACTIVE",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
displayNamestringOptional

Filter by outbound webhook display name

Example: My Outbound Webhook display name
urlstringOptional

Filter by outbound webhook url

Example: https://example.com
pagenumberOptionalExample: 1
ippnumberOptionalExample: 10
statusanyOptional

Filter by status

Example: ACTIVE
eventTypesstringOptional

Filter by outbound webhook event types

Example: EVENT_CREATED
Responses
200

Returns an OutboundWebhookCollection

application/json
get/outbound-webhooks
GET /apis/v2/outbound-webhooks HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns an OutboundWebhookCollection

{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "displayName": "My Webhook",
      "url": "https://webhook.site/updates",
      "eventTypes": [
        "event.created",
        "event.updated"
      ],
      "status": "ACTIVE",
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {
        "self": {
          "href": "text"
        }
      }
    }
  ],
  "_pagination": {
    "page": 1,
    "ipp": 1,
    "count": 1,
    "total": 1
  },
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
idstringRead-onlyRequired

The ID of the outbound webhook

Example: 123e4567-e89b-12d3-a456-426614174000
displayNamestringRequired

The display name of the outbound webhook

Example: My Webhook
urlstringRequired

The URL of the outbound webhook (HTTPS required in production)

Example: https://webhook.site/updates
statusstring · enumRequired

The status of the outbound webhook

Example: ACTIVEPossible values:
Responses
201

Returns an OutboundWebhook

application/json
idstringRead-onlyRequired

The ID of the outbound webhook

Example: 123e4567-e89b-12d3-a456-426614174000
displayNamestringRequired

The display name of the outbound webhook

Example: My Webhook
urlstringRequired

The URL of the outbound webhook (HTTPS required in production)

Example: https://webhook.site/updates
statusstring · enumRequired

The status of the outbound webhook

Example: ACTIVEPossible values:
post/outbound-webhooks
POST /apis/v2/outbound-webhooks HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 164

{
  "displayName": "My Webhook",
  "url": "https://webhook.site/updates",
  "eventTypes": [
    "event.created",
    "event.updated"
  ],
  "status": "ACTIVE",
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "displayName": "My Webhook",
  "url": "https://webhook.site/updates",
  "eventTypes": [
    "event.created",
    "event.updated"
  ],
  "status": "ACTIVE",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {
    "self": {
      "href": "text"
    }
  }
}

Last updated

Was this helpful?